# Uses of Enum Class
org.apache.datasketches.quantilescommon.GenericInequalitySearch.Inequality

Packages that use GenericInequalitySearch.Inequality
Package
Description
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of GenericInequalitySearch.Inequality in org.apache.datasketches.quantilescommon

Subclasses with type arguments of type GenericInequalitySearch.Inequality in org.apache.datasketches.quantilescommon
Modifier and Type
Class
Description
`static enum`
`GenericInequalitySearch.Inequality`
The enumerator of inequalities
Methods in org.apache.datasketches.quantilescommon that return GenericInequalitySearch.Inequality
Modifier and Type
Method
Description
`static GenericInequalitySearch.Inequality`
GenericInequalitySearch.Inequality.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GenericInequalitySearch.Inequality[]`
GenericInequalitySearch.Inequality.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.quantilescommon with parameters of type GenericInequalitySearch.Inequality
Modifier and Type
Method
Description
`static <T> int`
GenericInequalitySearch.`find(T[] arr, int low, int high, T v, GenericInequalitySearch.Inequality crit, Comparator<T> comparator)`
Binary Search for the index of the generic value in the given search range that satisfies the given Inequality criterion.